import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class SettingsService {
  public theme$: BehaviorSubject<string>;
  public menuToggle$: BehaviorSubject<boolean>;
  public useMenu$: BehaviorSubject<boolean>;

  constructor() { 
    this.menuToggle$ = new BehaviorSubject<boolean>(true);
    this.theme$ = new BehaviorSubject<string>('strudel-light-theme');
    this.useMenu$ = new BehaviorSubject<boolean>(true);
    this.getTheme();
  }

  getTheme() {
    var theme: string;
    theme = localStorage.getItem('strudel-theme');
    if (theme == null) {
      this.theme$.next('strudel-light-theme');
      return
    } else {
      this.theme$.next(theme);
    }
  }

  setTheme(v: string) {
    this.theme$.next(v);
    localStorage.setItem('strudel-theme',v);
  }
}
